Skip to main content
GET
Get person membership details

Valtuutukset

Authorization
string
header
vaadittu

Short-lived bearer access token issued for a Living Security API access key. Send as Authorization: Bearer .

Otsikot

x-organization-id
string<uuid>
vaadittu

Organization context for multi-tenant operations

Polkuparametrit

personId
string
vaadittu

Vastaus

Membership details found successfully

id
string
vaadittu

Unique membership identifier

Esimerkki:

"550e8400-e29b-41d4-a716-446655440000"

personId
string
vaadittu

Person ID associated with this membership

Esimerkki:

"user-550e8400-e29b-41d4-a716-446655440000"

organizationId
string
vaadittu

Organization ID for this membership

Esimerkki:

"550e8400-e29b-41d4-a716-446655440000"

active
boolean
vaadittu

Whether the membership is currently active

Esimerkki:

true

profile
object
vaadittu

Person profile data (name, email, etc.)

createdAt
string<date-time>
vaadittu

Membership creation timestamp

Esimerkki:

"2025-10-01T00:00:00.000Z"

updatedAt
string<date-time>
vaadittu

Membership last update timestamp

Esimerkki:

"2025-10-01T12:00:00.000Z"

importSource
enum<string> | null

How the user was provisioned (SCIM, CSV, or MANUAL)

Saatavilla olevat vaihtoehdot:
SCIM,
CSV,
MANUAL
Esimerkki:

"SCIM"

accessGrantType
enum<string> | null

How access was granted (DIRECT, PARENT_ORG, or PLATFORM)

Saatavilla olevat vaihtoehdot:
DIRECT,
PARENT_ORG,
PLATFORM
Esimerkki:

"DIRECT"

stickyAttributes
object

Sticky attributes (overrides, local attributes, sync status)

role
string | null

Primary role identifier. Can be a system role type (OWNER, ADMIN, MEMBER), catalog role ID, or custom role ID based on precedence (system > catalog > custom)

Esimerkki:

"OWNER"

roleDisplayName
string | null

Human-friendly role display name

Esimerkki:

"Owner"

roleIds
string[] | null

Array of ALL role identifiers assigned to this member. Includes system role types (OWNER, ADMIN, etc.), catalog role IDs, and custom role IDs.

Esimerkki: